<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_b0e753deb9741c6e9b3d17cac47b5d" . "c5" => base64_decode("Tm8gYXZhaWxhYmxlIERvY3VtZW50IENvb" . "nZlcnRlcnMgdG8gdXNlLg=="), "_20b3ce3ff928713aae2421713e608" . "98a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY" . "29udmVydGVyLmVycm9yLm" . "NvdWxkX25vdF9jb25uZWN" . "0"), "_b8323c396da910cd2da11d4d0985e9c" . "5" => base64_decode("aXNfcnVubmluZ" . "w=="), "_a7a98b53d82ba82123bc4047484c" . "d742" => base64_decode("Y29tbW9uLmRvY3" . "VtZW50X2NvbnZl" . "cnRlci5ub19jb2" . "52ZXJ0ZXJz"), "_ba3845cb79c" . "005cf3269af8" . "c83ddbe5e" => base64_decode("ZXJ" . "yb3" . "I="), "_31767d7ad58e706dbf47b7" . "a51a0fe6c4" => base64_decode("Y291" . "bnQ="), "_5e905cea5856e" . "f40d35ea1edaf1" . "85d1b" => base64_decode("IHVzaW5n" . "IA=="), "_946c6fe20" . "25cf682630" . "afe8f8cdf5" . "861" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZ" . "lcnRlci51bmtub3duX2Vycm9y"), "_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_77317902a2c903eaeed66f" . "6a366de08b" => base64_decode("ZXhjZXB0aW9uX21" . "lc3NhZ2U="), "_6dc023075e7b7a10f" . "cc37e2d1b691033" => base64_decode("IHRvIA=" . "="), "_2351a63ea5f1aa926b0753b192e8d8" . "41" => base64_decode("RmFpbGVkI" . "HRvIGNvbn" . "ZlcnQg"));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_b0e753deb9741c6e9b3d17ca" . "c47b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_31767d7ad58e706dbf" . "47b7a51a0fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_946c6fe2025cf6826" . "30afe8f8cdf5861"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2351a63ea5f1aa926b0753b192e" . "8d841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6dc023075e7b7a10" . "fcc37e2d1b691033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_5e905cea5856ef40d35ea1edaf" . "185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_77317902a2" . "c903eaeed66" . "f6a366de08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a7a98b53" . "d82ba8212" . "3bc404748" . "4cd742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_b8323c396da910cd2da11d4d0985" . "e9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ba3845cb79c005cf3269af" . "8c83ddbe5e"]] = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_20b3ce3ff928713aae2421713e608" . "98a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}